varying vec2 texCoord;
uniform sampler2D baseMap;
uniform sampler2D cloudMap;
uniform float t;
uniform sampler2D groundMap;
void main()
{
vec4 col = texture2D(baseMap,texCoord);
vec4 cloudCol = texture2D(cloudMap,texCoord*32.0 + vec2(t*0.6,0.0));
vec4 ground = texture2D(groundMap,texCoord*182.0);
gl_FragColor = ground * col;

}